Update an existing Local User.

Prev Next
Put
/local-users/{id}

Update an existing Local User.

Security
HTTP
Type bearer
Path parameters
id
string (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425
Body parameters

Local User object.

object
id
string (uuid)

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
name
string Required

Name of the object.

Exampleobject
notes
string

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
tags
Array of string

Array of tags.

Example[ "developer", "api-created" ]
string
firstName
string Required

First name of the user. May be used as claim.

ExampleBobby
lastName
string Required

Last name of the user. May be used as claim.

ExampleTables
password
string (password)

Password for the user. Omit the field to keep the old password when updating a user.

ExampletSW3!QBv(rj{UuLY
email
string

E-mail address for the user. May be used as claim.

Examplebobby@tables.com
phone
string

Phone number for the user. May be used as claim.

Example+1-202-555-0172
disabled
boolean

If true, the user will not be able to login.

failedLoginAttempts
number

Number of wrong password login attempts since last successiful login.

Example0.0
lockStart
string (date-time)

The date time when the user got locked out. A local user is locked out of the system after X amount of consecutive failed login attempts, where X is configurable in the local Identity Provider. The lock is in effect for Y minute(s), where Y is configurable in the local Identity Provider. When the user logs in successfully, this field becomes null.

Responses
200

Updated Local User.

object
id
string (uuid)

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
name
string

Name of the object.

Exampleobject
notes
string

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
created
string (date-time)

Create date.

updated
string (date-time)

Last update date.

tags
Array of string

Array of tags.

Example[ "developer", "api-created" ]
string
firstName
string

First name of the user. May be used as claim.

ExampleBobby
lastName
string

Last name of the user. May be used as claim.

ExampleTables
email
string

E-mail address for the user. May be used as claim.

Examplebobby@tables.com
phone
string

Phone number for the user. May be used as claim.

Example+1-202-555-0172
disabled
boolean

If true, the user will not be able to login.

failedLoginAttempts
number

Number of wrong password login attempts since last successiful login.

Example0.0
lockStart
string (date-time)

The date time when the user got locked out. A local user is locked out of the system after X amount of consecutive failed login attempts, where X is configurable in the local Identity Provider. The lock is in effect for Y minute(s), where Y is configurable in the local Identity Provider. When the user logs in successfully, this field becomes null.

400

JSON error. Check the JSON format.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

404

The requested resource can not be found.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

422

Request validation error. Check "errors" array for details.

Expand All
object

Http 422 error for object validation.

id
string

Machine readable error code.

message
string

Human readable error details.

errors
Array of object

List of fields with validation errors.

object
field
string

Name of the field that failed validation.

Examplename
message
string

Failure reason.

Examplemay not be null
500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.